// tcp客户端Demo

#include "_el.h"

using namespace eviwbh;

ctcpclient tcpclient;

string strsendbuffer;
string strrecvbuffer;

bool login();
bool check_balance();
bool transfer();

int main(int argc,char *argv[])
{
  if (argc!=3)
  {
    printf("Using:./clientdemo ip port\n");
    printf("Example:./clientdemo 127.0.0.1 5005\n\n");
    return -1;
  }

  if(tcpclient.connect(argv[1],atoi(argv[2]))==false)
  {
    printf("tcpclient.connect() failed.\n"); return -1;
  }

  login();
  transfer();
  transfer();
  check_balance();

}



bool login()
{
  strsendbuffer = "<id>1</id><username>0369</username><password>3690</password>";
  if(tcpclient.write(strsendbuffer)==false)
  {
    printf("tcpclient.write() failed.\n"); return false;
  }
  cout<< "发送：" <<strsendbuffer<<endl;
  
  if(tcpclient.read(strrecvbuffer) ==false)
  {
    printf("tcpclient.read() failed.\n"); return false;
  }
  cout<<"接收："<<strrecvbuffer<<endl;

  return true;
}

bool check_balance()
{
  strsendbuffer = "<id>2</id><cardid>200102</cardid>";
  if(tcpclient.write(strsendbuffer)==false)
  {
    printf("tcpclient.write() failed.\n"); return false;
  }
  cout<< "发送：" <<strsendbuffer<<endl;

  if(tcpclient.read(strrecvbuffer) ==false)
  {
    printf("tcpclient.read() failed.\n"); return false;
  }
  cout<<"接收："<<strrecvbuffer<<endl;


  return true;
}


bool transfer()
{
  strsendbuffer = "<id>3</id><cardid1>200102</cardid1><cardid2>200106</cardid2><transfer>260</transfer>";
  if(tcpclient.write(strsendbuffer)==false)
  {
    printf("tcpclient.write() failed.\n"); return false;
  }
  cout<< "发送：" <<strsendbuffer<<endl;

  if(tcpclient.read(strrecvbuffer) ==false)
  {
    printf("tcpclient.read() failed.\n"); return false;
  }
  cout<<"接收："<<strrecvbuffer<<endl;

  return true;
}